# curve_helper.h File Reference

Curve Helper Header. More...

`#include <ETL/bezier>`
`#include "rect.h"`
`#include "real.h"`
`#include "vector.h"`
`#include <vector>`

Go to the source code of this file.

## Namespaces

namespace | synfig

## Classes

struct | synfig::Ray
struct | synfig::BezHull
class | synfig::CIntersect

## Functions

Real | synfig::line_point_distsq (const Point &p1, const Point &p2, const Point &p, float &t)
int | synfig::intersect (const Point &p1, const Vector &v1, float &t1, const Point &p2, const Vector &v2, float &t2)
bool | synfig::intersect_line_segments (const Point &a, const Point &b, float &tout, const Point &c, const Point &d, float &sout)
Real | synfig::find_closest (const etl::bezier< Point > &curve, const Point &point, float step, Real *dout, float *tout)
template<typename T>
void | synfig::Bound (etl::rect< T > &r, const etl::bezier< Point > &b)
int | synfig::intersect (const Rect &r1, const Point &p, const Vector &v)
int | synfig::intersect (const Rect &r, const Point &p)
int | synfig::intersect (const BezHull &bh, const Point &p, const Vector &v)
int | synfig::intersect (const etl::bezier< Point > &b, const Point &p)

## Detailed Description

Curve Helper Header.

$Id$